Name:		pam-python
Version:	1.0.7
Release:	%mkrel 4
Group:		System/Libraries
URL:		http://pam-python.sourceforge.net
License:	AGPLv3+
Summary:	Support for writing PAM modules in Python
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}-%{version}-1/%{name}-%{version}.tar.gz
Patch0:		pam-python-1.0.7-hg-python3.patch
# From upstream bug report
# https://sourceforge.net/p/pam-python/tickets/1/#5839
Patch1:		pam-python-1.0.6-fedora.patch
# Mageia patches
Patch100:	pam-python-1.0.6-build.patch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pam-devel >= 0.76
BuildRequires:	python3-sphinx

%description
pam-python is a PAM Module that runs the Python interpreter, thus allowing PAM
modules to be written in Python.

%prep
%setup -q
%autopatch -p1

%build
%make_build OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -D -m0755 src/pam_python3.so %{buildroot}%{_libdir}/security/pam_python3.so

%files
%doc README.txt pam-python.html
%doc doc/html
%license agpl-3.0.txt
%{_libdir}/security/pam_python3.so


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.0.7-4.mga9
+ Revision: 1832934
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.0.7-3.mga9
+ Revision: 1786342
- rebuild for python-3.10

* Sun Mar 21 2021 neoclust <neoclust> 1.0.7-2.mga9
+ Revision: 1706337
- Rebuild against python 3.9

* Thu Apr 02 2020 danf <danf> 1.0.7-1.mga8
+ Revision: 1563933
- Update to ver. 1.0.7 plus Python 3 patch
- Fixes local root exploit security issue
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Aug 17 2019 wally <wally> 1.0.6-4.mga8
+ Revision: 1429539
- update sphinx BR

* Sat Nov 17 2018 umeabot <umeabot> 1.0.6-3.mga7
+ Revision: 1330323
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 1.0.6-2.mga7
+ Revision: 1239622
- add patches to fix build and use our build time flags

* Wed Sep 14 2016 mitya <mitya> 1.0.6-1.mga6
+ Revision: 1052577
- pam-python 1.0.6
- Created package structure for pam-python.

